Application: gvSIG desktop - gvSIG bugs #2885
Map size is locked when its window is maximized
10/15/2014 02:16 PM - Antonio Falciano

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo

Category: Document layout

Target version: 2.2.0-2309

Severity: Major Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2250 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

The map size is locked sometimes when its window is maximized (at least in Windows).
If | close and reopen the map document, the map is shown correctly.
See the screenshot in attachment. There's not trace of error in the gvSIG.log.

History

#1 - 10/15/2014 06:32 PM - Alvaro Anguix
En Linux también me ocurre.

#2 - 01/28/2015 12:26 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

- Assignee set to Cesar Martinez Izquierdo

#3 - 04/16/2015 01:18 PM - Cesar Martinez lzquierdo

- Status changed from New to Fixed

#4 - 04/16/2015 01:20 PM - Cesar Martinez lzquierdo

Some changes have been done in the layout drawing in order to fix #2905. These changes may have corrected also this bug, but it is difficult to confirm
as the bug can't be systematically reproduced. Please, reopen the ticket if it happens again to you.

#5 - 04/21/2015 11:02 AM - Alvaro Anguix

- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#6 - 04/29/2015 11:57 AM - Alvaro Anguix
- Status changed from Fixed to Closed

#7 - 04/29/2015 08:22 PM - Antonio Falciano
- Status changed from Closed to New

Hi Cesar,
it happens in build 2308 on Windows 7 in the same way and the only workaround consists into closing and reopening the map document. Cheers.

#8 - 05/05/2015 01:14 PM - Joaquin del Cerro Murciano

- Target version changed from 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94) to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#9 - 05/05/2015 01:26 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2310

#10 - 05/06/2015 05:59 PM - Cesar Martinez lzquierdo

| have not been able to reproduce it on Windows 7, build 2308. It would be very helful if you can isolate the sequence of steps necessary to
systematically reproduce it, as it is otherwise very difficult to debug the error.

#11 - 05/06/2015 07:02 PM - Antonio Falciano

Hi Cesar,

you're right. This issue is very difficult to reproduce, because it seems to happen randomly. If you like, we can close the ticket and reopen it only when

it can be reproduced in some way. Thank you for the try. Cheers, Antonio

#12 - 05/07/2015 09:23 AM - Alvaro Anguix
- Status changed from New to Won't fix

Ok, Antonio. | change it to "won't fix"

#13 - 05/07/2015 10:33 AM - Joaquin del Cerro Murciano

- Target version changed from 2.2.0-2310 to 2.2.0-2309
